Bug 730448 - [abrt] system-config-printer-1.3.5-3.fc15: authconn.py:173:_end_operation:IndexError: pop from empty list
Summary: [abrt] system-config-printer-1.3.5-3.fc15: authconn.py:173:_end_operation:Ind...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:766051a39aa6e82ae087a232c43...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 02:37 UTC by ncassanova11
Modified: 2012-08-07 19:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:08:45 UTC


Attachments (Terms of Use)

Description ncassanova11 2011-08-13 02:37:42 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
comment:        I was adding my canon mp560 printer wirelessly through the terminal and after it said the printer was added, an error then showed up.
component:      system-config-printer
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         2.6.40-4.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        system-config-printer-1.3.5-3.fc15
reason:         authconn.py:173:_end_operation:IndexError: pop from empty list
time:           Fri Aug 12 22:10:49 2011
uid:            500

backtrace:
:authconn.py:173:_end_operation:IndexError: pop from empty list
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/system-config-printer.py", line 1930, in deferred_refresh
:    self.populateList (prompt_allowed=False)
:  File "/usr/share/system-config-printer/system-config-printer.py", line 731, in populateList
:    self.cups._end_operation ()
:  File "/usr/share/system-config-printer/authconn.py", line 173, in _end_operation
:    self._operation_stack.pop ()
:IndexError: pop from empty list
:
:Local variables in innermost frame:
:self: <authconn.Connection instance at 0x92836ec>

Comment 1 Tim Waugh 2011-08-15 10:27:17 UTC
Are you able to reproduce this?

Comment 2 Matthieu Pupat 2011-10-07 12:44:00 UTC
Package: system-config-printer-1.3.5-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Opened Administration > Printing

Comment 4 gb 2011-11-02 07:16:35 UTC
Package: system-config-printer-1.3.5-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Adding canon pixma mg6120 and attempting to print to device using drivers provided by cups. Have to use drivers provided by 

http://www.canon.co.uk/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MG_series/PIXMA_MG6140.aspx

http://www.canon.co.uk/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MG_series/index.aspx

Comment 5 Fedora End Of Life 2012-08-07 19:08:47 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.